using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CarcassStateWeight.Dtos;
using Forks.JsonRpc.Client;
using Newtonsoft.Json;

namespace CarcassStateWeight
{
  public class SyncUtil
  {
    /// <summary>
    /// 获取存货配置表
    /// </summary>
    /// <returns></returns>
    public static List<ClientGoodsSetDto> GetClientGoodsSetList()
    {
      var json = RpcFacade.Call<string>("/MainSystem/B3ClientService/Rpcs/BillRpc/ClientGoodsSetRpc/GetList");
      var list = JsonConvert.DeserializeObject<List<ClientGoodsSetDto>>(json);
      return list;
    }
  }
}
